#register
execute as @a[tag=!registered] at @s run function sette:player/register

#leave and rejoin
execute as @a at @s if score @s leave matches 1.. run function sette:player/leave

#effects
effect give @a night_vision 1000000 10 true
effect give @a saturation 1000 10 true
effect give @a[scores={level=0}] instant_health 1 10 true
effect give @a[scores={level=0}] fire_resistance 5 10 true

#levels
function sette:level/detect

scoreboard players add slow_tick vars 1
execute if score slow_tick vars matches 20.. run scoreboard players set slow_tick vars 0
execute if score slow_tick vars matches 1 run function sette:slow_tick

#complete
execute as @a at @s if score @s complete matches 1.. run scoreboard players remove @s complete 1
execute as @a at @s if score @s complete matches 1.. run function sette:level/complete_timer
execute as @a at @s if score @s complete matches 2 run tp @s 0 258 0
execute as @a at @s if score @s complete matches 1 run playsound entity.turtle.egg_break master @s ~ ~ ~ 1 1
execute as @a at @s if score @s complete matches 1 run gamemode adventure @s

#firework
execute as @a[scores={firework=40}] at @s run playsound entity.player.levelup master @s ~ ~ ~ 5 2
clear @a[scores={firework=40}] firework_rocket
give @a[scores={firework=40}] firework_rocket
execute as @a at @s if score @s firework matches 1.. run scoreboard players remove @s firework 1
function sette:fireworks/give

#firework in lobby
execute as @a[scores={level=0},nbt=!{Inventory:[{id:"minecraft:firework_rocket"}]}] at @s run function sette:fireworks/lobby_give

#elytra
execute as @a[nbt=!{Inventory:[{id:"minecraft:elytra"}]}] at @s run clear @s elytra
execute as @a[nbt=!{Inventory:[{id:"minecraft:elytra"}]}] at @s run item replace entity @s armor.chest with elytra[unbreakable={}]

#reset
execute as @a[nbt=!{Inventory:[{id:"minecraft:snowball"}]}] at @s run function sette:player/reset_item
kill @e[type=snowball]
execute as @a[scores={snowball=1..}] run tp @s 0 258 0
scoreboard players reset @a snowball

#kill thrown items
kill @e[type=item,nbt={Item:{id:"minecraft:snowball",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:elytra",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:firework_rocket",Count:1b}}]

#back to lobby when falling
execute as @a[gamemode=adventure,scores={level=0},x=-100,y=219,z=-100,dx=200,dy=-50,dz=200] at @s run tp @s 0 258 0

#secret extra level
execute unless score secret vars matches 1 as @a[tag=nether,tag=honey,tag=mesa,tag=forest,tag=ice,tag=endLevel,tag=cave,tag=mushroom] run function sette:level/secret